iscsi_ifaces_free(3)

NAME
iscsi_ifaces_free - Free the memory of 'struct iscsi_iface' pointer array

SYNOPSIS
void iscsi_ifaces_free (struct iscsi_iface **ifaces, uint32_t iface_count);

ARGUMENTS

ifaces
    Pointer of 'struct iscsi_iface' pointer array.

iface_count
    uint32_t, the size of 'struct iscsi_iface' pointer array.

DESCRIPTION

Free the memory of 'iscsi_iface' pointer array generated by If provided 'ifaces' pointer is NULL or 'iface_count' is 0, do nothing.

RETURN
void